Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.flagstone.transform
Class FSColorTable

    java.lang.Object
      com.flagstone.transform.FSColorTable

    public class FSColorTable

extends java.lang.Object

The FSColorTable class contains a set of factory methods to generate FSColor objects for each of the colours defined in the Netscape Colour Table.

FSColor aColor = FSColorTable.%aliceblue();

Each entry in the colour table returns and array of integers that define the values for the red, green and blue colour channels. To define a transparent colour for use with an object that support transparent colours such as the FSDefineShape3 class use the following code fragment:

FSColor aColor = FSColorTable.%aliceblue(128);

Transparent colours are created by specifying the level of transparency, in the range 0..255, where 0 is completely transparent and 255 is completely opaque.

\htmlonly

aliceblue F0F8FF | antiquewhite FAEBD7 | aqua 00FFFF
aquamarine 7FFFD4 | azure F0FFFF | beige F5F5DC
bisque FFE4C4 | burlywood DEB887 | blanchedalmond FFEBCD
blue 0000FF | blueviolet 8A2BE2 | brown A52A2A
black 000000 | cadetblue 5F9EA0 | chartreuse 7FFF00
chocolate D2691E | coral FF7F50 | cornflowerblue 6495ED
cornsilk FFF8DC | crimson DC143C | cyan 00FFFF
darkblue 00008B | darkcyan 008B8B | darkgoldenrod B8860B
darkgray A9A9A9 | darkgreen 006400 | darkkhaki BDB76B
darkmagenta 8B008B | darkolivegreen 556B2F | darkorange FF8C00
darkorchid 9932CC | darkred 8B0000 | darksalmon E9967A
darkseagreen 8FBC8F | darkslateblue 483D8B | darkslategray 2F4F4F
darkturquoise 00CED1 | darkviolet 9400D3 | deeppink FF1493
deepskyblue 00BFFF | dimgray 696969 | dodgerblue 1E90FF
firebrick B22222 | floralwhite FFFAF0 | forestgreen 228B22
fuchsia FF00FF | gainsboro DCDCDC | ghostwhite F8F8FF
gold FFD700 | goldenrod DAA520 | gray 808080
green 008000 | greenyellow ADFF2F | honeydew F0FFF0
hotpink FF69B4 | indianred CD5C5C | Indigo 4B0082
ivory FFFFF0 | khaki F0E68C | lavender E6E6FA
lavenderblush FFF0F5 | lawngreen 7CFC00 | lemonchiffon FFFACD
lightblue ADD8E6 | lightcoral F08080 | lightcyan E0FFFF
lightgoldenrodyellow FAFAD2 | lightgreen 90EE90 | lightgrey D3D3D3
lightpink FFB6C1 | lightsalmon FFA07A | lightseagreen 20B2AA
lightskyblue 87CEFA | lightslategray 778899 | lightsteelblue B0C4DE
lightyellow FFFFE0 | lime 00FF00 | limegreen 32CD32
linen FAF0E6 | magenta FF00FF | maroon 800000
mediumauqamarine 66CDAA | mediumblue 0000CD | mediumorchid BA55D3
mediumpurple 9370D8 | mediumseagreen 3CB371 | mediumslateblue 7B68EE
mediumspringgreen 00FA9A | mediumturquoise 48D1CC | mediumvioletred C71585
midnightblue 191970 | mintcream F5FFFA | mistyrose FFE4E1
moccasin FFE4B5 | navajowhite FFDEAD | navy 000080
oldlace FDF5E6 | olive 808000 | olivedrab 688E23
orange FFA500 | orangered FF4500 | orchid DA70D6
palegoldenrod EEE8AA | palegreen 98FB98 | paleturquoise AFEEEE
palevioletred D87093 | papayawhip FFEFD5 | peachpuff FFDAB9
peru CD853F | pink FFC0CB | plum DDA0DD
powderblue B0E0E6 | purple 800080 | red FF0000
rosybrown BC8F8F | royalblue 4169E1 | saddlebrown 8B4513
salmon FA8072 | sandybrown F4A460 | seagreen 2E8B57
seashell FFF5EE | sienna A0522D | silver C0C0C0
skyblue 87CEEB | slateblue 6A5ACD | slategray 708090
snow FFFAFA | springgreen 00FF7F | steelblue 4682B4
tan D2B48C | teal 008080 | thistle D8BFD8
tomato FF6347 | turquoise 40E0D0 | violet EE82EE
wheat F5DEB3 | white FFFFFF | whitesmoke F5F5F5

\endhtmlonly

Constructor Summary
`FSColorTable()`

Method Summary
`static FSColor` | `aliceblue()` Definition of the color, aliceblue from the Netscape color table.
`static FSColor` | `aliceblue(int alpha)` Definition of the transparent color, aliceblue from the Netscape color table.
`static FSColor` | `antiquewhite()` Definition of the color, antiquewhite from the Netscape color table.
`static FSColor` | `antiquewhite(int alpha)` Definition of the transparent color, antiquewhite from the Netscape color table.
`static FSColor` | `aqua()` Definition of the color, aqua from the Netscape color table.
`static FSColor` | `aqua(int alpha)` Definition of the transparent color, aqua from the Netscape color table.
`static FSColor` | `aquamarine()` Definition of the color, aquamarine from the Netscape color table.
`static FSColor` | `aquamarine(int alpha)` Definition of the transparent color, aquamarine from the Netscape color table.
`static FSColor` | `azure()` Definition of the color, azure from the Netscape color table.
`static FSColor` | `azure(int alpha)` Definition of the transparent color, azure from the Netscape color table.
`static FSColor` | `beige()` Definition of the color, beige from the Netscape color table.
`static FSColor` | `beige(int alpha)` Definition of the transparent color, beige from the Netscape color table.
`static FSColor` | `bisque()` Definition of the color, bisque from the Netscape color table.
`static FSColor` | `bisque(int alpha)` Definition of the transparent color, bisque from the Netscape color table.
`static FSColor` | `black()` Definition of the color, black from the Netscape color table.
`static FSColor` | `black(int alpha)` Definition of the transparent color, black from the Netscape color table.
`static FSColor` | `blanchedalmond()` Definition of the color, blanchedalmond from the Netscape color table.
`static FSColor` | `blanchedalmond(int alpha)` Definition of the transparent color, blanchedalmond from the Netscape color table.
`static FSColor` | `blue()` Definition of the color, blue from the Netscape color table.
`static FSColor` | `blue(int alpha)` Definition of the transparent color, blue from the Netscape color table.
`static FSColor` | `blueviolet()` Definition of the color, blueviolet from the Netscape color table.
`static FSColor` | `blueviolet(int alpha)` Definition of the transparent color, blueviolet from the Netscape color table.
`static FSColor` | `brown()` Definition of the color, brown from the Netscape color table.
`static FSColor` | `brown(int alpha)` Definition of the transparent color, brown from the Netscape color table.
`static FSColor` | `burlywood()` Definition of the color, burlywood from the Netscape color table.
`static FSColor` | `burlywood(int alpha)` Definition of the transparent color, burlywood from the Netscape color table.
`static FSColor` | `cadetblue()` Definition of the color, cadetblue from the Netscape color table.
`static FSColor` | `cadetblue(int alpha)` Definition of the transparent color, cadetblue from the Netscape color table.
`static FSColor` | `chartreuse()` Definition of the color, chartreuse from the Netscape color table.
`static FSColor` | `chartreuse(int alpha)` Definition of the transparent color, chartreuse from the Netscape color table.
`static FSColor` | `chocolate()` Definition of the color, chocolate from the Netscape color table.
`static FSColor` | `chocolate(int alpha)` Definition of the transparent color, chocolate from the Netscape color table.
`static FSColor` | `coral()` Definition of the color, coral from the Netscape color table.
`static FSColor` | `coral(int alpha)` Definition of the transparent color, coral from the Netscape color table.
`static FSColor` | `cornflowerblue()` Definition of the color, cornflowerblue from the Netscape color table.
`static FSColor` | `cornflowerblue(int alpha)` Definition of the transparent color, cornflowerblue from the Netscape color table.
`static FSColor` | `cornsilk()` Definition of the color, cornsilk from the Netscape color table.
`static FSColor` | `cornsilk(int alpha)` Definition of the transparent color, cornsilk from the Netscape color table.
`static FSColor` | `crimson()` Definition of the color, crimson from the Netscape color table.
`static FSColor` | `crimson(int alpha)` Definition of the transparent color, crimson from the Netscape color table.
`static FSColor` | `cyan()` Definition of the color, cyan from the Netscape color table.
`static FSColor` | `cyan(int alpha)` Definition of the transparent color, cyan from the Netscape color table.
`static FSColor` | `darkblue()` Definition of the color, darkblue from the Netscape color table.
`static FSColor` | `darkblue(int alpha)` Definition of the transparent color, darkblue from the Netscape color table.
`static FSColor` | `darkcyan()` Definition of the color, darkcyan from the Netscape color table.
`static FSColor` | `darkcyan(int alpha)` Definition of the transparent color, darkcyan from the Netscape color table.
`static FSColor` | `darkgoldenrod()` Definition of the color, darkgoldenrod from the Netscape color table.
`static FSColor` | `darkgoldenrod(int alpha)` Definition of the transparent color, darkgoldenrod from the Netscape color table.
`static FSColor` | `darkgray()` Definition of the color, darkgray from the Netscape color table.
`static FSColor` | `darkgray(int alpha)` Definition of the transparent color, darkgray from the Netscape color table.
`static FSColor` | `darkgreen()` Definition of the color, darkgreen from the Netscape color table.
`static FSColor` | `darkgreen(int alpha)` Definition of the transparent color, darkgreen from the Netscape color table.
`static FSColor` | `darkkhaki()` Definition of the color, darkkhaki from the Netscape color table.
`static FSColor` | `darkkhaki(int alpha)` Definition of the transparent color, darkkhaki from the Netscape color table.
`static FSColor` | `darkmagenta()` Definition of the color, darkmagenta from the Netscape color table.
`static FSColor` | `darkmagenta(int alpha)` Definition of the transparent color, darkmagenta from the Netscape color table.
`static FSColor` | `darkolivegreen()` Definition of the color, darkolivegreen from the Netscape color table.
`static FSColor` | `darkolivegreen(int alpha)` Definition of the transparent color, darkolivegreen from the Netscape color table.
`static FSColor` | `darkorange()` Definition of the color, darkorange from the Netscape color table.
`static FSColor` | `darkorange(int alpha)` Definition of the transparent color, darkorange from the Netscape color table.
`static FSColor` | `darkorchid()` Definition of the color, darkorchid from the Netscape color table.
`static FSColor` | `darkorchid(int alpha)` Definition of the transparent color, darkorchid from the Netscape color table.
`static FSColor` | `darkred()` Definition of the color, darkred from the Netscape color table.
`static FSColor` | `darkred(int alpha)` Definition of the transparent color, darkred from the Netscape color table.
`static FSColor` | `darksalmon()` Definition of the color, darksalmon from the Netscape color table.
`static FSColor` | `darksalmon(int alpha)` Definition of the transparent color, darksalmon from the Netscape color table.
`static FSColor` | `darkseagreen()` Definition of the color, darkseagreen from the Netscape color table.
`static FSColor` | `darkseagreen(int alpha)` Definition of the transparent color, darkseagreen from the Netscape color table.
`static FSColor` | `darkslateblue()` Definition of the color, darkslateblue from the Netscape color table.
`static FSColor` | `darkslateblue(int alpha)` Definition of the transparent color, darkslateblue from the Netscape color table.
`static FSColor` | `darkslategray()` Definition of the color, darkslategray from the Netscape color table.
`static FSColor` | `darkslategray(int alpha)` Definition of the transparent color, darkslategray from the Netscape color table.
`static FSColor` | `darkturquoise()` Definition of the color, darkturquoise from the Netscape color table.
`static FSColor` | `darkturquoise(int alpha)` Definition of the transparent color, darkturquoise from the Netscape color table.
`static FSColor` | `darkviolet()` Definition of the color, darkviolet from the Netscape color table.
`static FSColor` | `darkviolet(int alpha)` Definition of the transparent color, darkviolet from the Netscape color table.
`static FSColor` | `deeppink()` Definition of the color, deeppink from the Netscape color table.
`static FSColor` | `deeppink(int alpha)` Definition of the transparent color, deeppink from the Netscape color table.
`static FSColor` | `deepskyblue()` Definition of the color, deepskyblue from the Netscape color table.
`static FSColor` | `deepskyblue(int alpha)` Definition of the transparent color, deepskyblue from the Netscape color table.
`static FSColor` | `dimgray()` Definition of the color, dimgray from the Netscape color table.
`static FSColor` | `dimgray(int alpha)` Definition of the transparent color, dimgray from the Netscape color table.
`static FSColor` | `dodgerblue()` Definition of the color, dodgerblue from the Netscape color table.
`static FSColor` | `dodgerblue(int alpha)` Definition of the transparent color, dodgerblue from the Netscape color table.
`static FSColor` | `firebrick()` Definition of the color, firebrick from the Netscape color table.
`static FSColor` | `firebrick(int alpha)` Definition of the transparent color, firebrick from the Netscape color table.
`static FSColor` | `floralwhite()` Definition of the color, floralwhite from the Netscape color table.
`static FSColor` | `floralwhite(int alpha)` Definition of the transparent color, floralwhite from the Netscape color table.
`static FSColor` | `forestgreen()` Definition of the color, forestgreen from the Netscape color table.
`static FSColor` | `forestgreen(int alpha)` Definition of the transparent color, forestgreen from the Netscape color table.
`static FSColor` | `fuchsia()` Definition of the color, fuchsia from the Netscape color table.
`static FSColor` | `fuchsia(int alpha)` Definition of the transparent color, fuchsia from the Netscape color table.
`static FSColor` | `gainsboro()` Definition of the color, gainsboro from the Netscape color table.
`static FSColor` | `gainsboro(int alpha)` Definition of the transparent color, gainsboro from the Netscape color table.
`static FSColor` | `ghostwhite()` Definition of the color, ghostwhite from the Netscape color table.
`static FSColor` | `ghostwhite(int alpha)` Definition of the transparent color, ghostwhite from the Netscape color table.
`static FSColor` | `gold()` Definition of the color, gold from the Netscape color table.
`static FSColor` | `gold(int alpha)` Definition of the transparent color, gold from the Netscape color table.
`static FSColor` | `goldenrod()` Definition of the color, goldenrod from the Netscape color table.
`static FSColor` | `goldenrod(int alpha)` Definition of the transparent color, goldenrod from the Netscape color table.
`static FSColor` | `gray()` Definition of the color, gray from the Netscape color table.
`static FSColor` | `gray(int alpha)` Definition of the transparent color, gray from the Netscape color table.
`static FSColor` | `green()` Definition of the color, green from the Netscape color table.
`static FSColor` | `green(int alpha)` Definition of the transparent color, green from the Netscape color table.
`static FSColor` | `greenyellow()` Definition of the color, greenyellow from the Netscape color table.
`static FSColor` | `greenyellow(int alpha)` Definition of the transparent color, greenyellow from the Netscape color table.
`static FSColor` | `honeydew()` Definition of the color, honeydew from the Netscape color table.
`static FSColor` | `honeydew(int alpha)` Definition of the transparent color, honeydew from the Netscape color table.
`static FSColor` | `hotpink()` Definition of the color, hotpink from the Netscape color table.
`static FSColor` | `hotpink(int alpha)` Definition of the transparent color, hotpink from the Netscape color table.
`static FSColor` | `indianred()` Definition of the color, indianred from the Netscape color table.
`static FSColor` | `indianred(int alpha)` Definition of the transparent color, indianred from the Netscape color table.
`static FSColor` | `indigo()` Definition of the color, indigo from the Netscape color table.
`static FSColor` | `indigo(int alpha)` Definition of the transparent color, indigo from the Netscape color table.
`static FSColor` | `ivory()` Definition of the color, ivory from the Netscape color table.
`static FSColor` | `ivory(int alpha)` Definition of the transparent color, ivory from the Netscape color table.
`static FSColor` | `khaki()` Definition of the color, khaki from the Netscape color table.
`static FSColor` | `khaki(int alpha)` Definition of the transparent color, khaki from the Netscape color table.
`static FSColor` | `lavender()` Definition of the color, lavender from the Netscape color table.
`static FSColor` | `lavender(int alpha)` Definition of the transparent color, lavender from the Netscape color table.
`static FSColor` | `lavenderblush()` Definition of the color, lavenderblush from the Netscape color table.
`static FSColor` | `lavenderblush(int alpha)` Definition of the transparent color, lavenderblush from the Netscape color table.
`static FSColor` | `lawngreen()` Definition of the color, lawngreen from the Netscape color table.
`static FSColor` | `lawngreen(int alpha)` Definition of the transparent color, lawngreen from the Netscape color table.
`static FSColor` | `lemonchiffon()` Definition of the color, lemonchiffon from the Netscape color table.
`static FSColor` | `lemonchiffon(int alpha)` Definition of the transparent color, lemonchiffon from the Netscape color table.
`static FSColor` | `lightblue()` Definition of the color, lightblue from the Netscape color table.
`static FSColor` | `lightblue(int alpha)` Definition of the transparent color, lightblue from the Netscape color table.
`static FSColor` | `lightcoral()` Definition of the color, lightcoral from the Netscape color table.
`static FSColor` | `lightcoral(int alpha)` Definition of the transparent color, lightcoral from the Netscape color table.
`static FSColor` | `lightcyan()` Definition of the color, lightcyan from the Netscape color table.
`static FSColor` | `lightcyan(int alpha)` Definition of the transparent color, lightcyan from the Netscape color table.
`static FSColor` | `lightgoldenrodyellow()` Definition of the color, lightgoldenrodyellow from the Netscape color table.
`static FSColor` | `lightgoldenrodyellow(int alpha)` Definition of the transparent color, lightgoldenrodyellow from the Netscape color table.
`static FSColor` | `lightgreen()` Definition of the color, lightgreen from the Netscape color table.
`static FSColor` | `lightgreen(int alpha)` Definition of the transparent color, lightgreen from the Netscape color table.
`static FSColor` | `lightgrey()` Definition of the color, lightgrey from the Netscape color table.
`static FSColor` | `lightgrey(int alpha)` Definition of the transparent color, lightgrey from the Netscape color table.
`static FSColor` | `lightpink()` Definition of the color, lightpink from the Netscape color table.
`static FSColor` | `lightpink(int alpha)` Definition of the transparent color, lightpink from the Netscape color table.
`static FSColor` | `lightsalmon()` Definition of the color, lightsalmon from the Netscape color table.
`static FSColor` | `lightsalmon(int alpha)` Definition of the transparent color, lightsalmon from the Netscape color table.
`static FSColor` | `lightseagreen()` Definition of the color, lightseagreen from the Netscape color table.
`static FSColor` | `lightseagreen(int alpha)` Definition of the transparent color, lightseagreen from the Netscape color table.
`static FSColor` | `lightskyblue()` Definition of the color, lightskyblue from the Netscape color table.
`static FSColor` | `lightskyblue(int alpha)` Definition of the transparent color, lightskyblue from the Netscape color table.
`static FSColor` | `lightslategray()` Definition of the color, lightslategray from the Netscape color table.
`static FSColor` | `lightslategray(int alpha)` Definition of the transparent color, lightslategray from the Netscape color table.
`static FSColor` | `lightsteelblue()` Definition of the color, lightsteelblue from the Netscape color table.
`static FSColor` | `lightsteelblue(int alpha)` Definition of the transparent color, lightsteelblue from the Netscape color table.
`static FSColor` | `lightyellow()` Definition of the color, lightyellow from the Netscape color table.
`static FSColor` | `lightyellow(int alpha)` Definition of the transparent color, lightyellow from the Netscape color table.
`static FSColor` | `lime()` Definition of the color, lime from the Netscape color table.
`static FSColor` | `lime(int alpha)` Definition of the transparent color, lime from the Netscape color table.
`static FSColor` | `limegreen()` Definition of the color, limegreen from the Netscape color table.
`static FSColor` | `limegreen(int alpha)` Definition of the transparent color, limegreen from the Netscape color table.
`static FSColor` | `linen()` Definition of the color, linen from the Netscape color table.
`static FSColor` | `linen(int alpha)` Definition of the transparent color, linen from the Netscape color table.
`static FSColor` | `magenta()` Definition of the color, magenta from the Netscape color table.
`static FSColor` | `magenta(int alpha)` Definition of the transparent color, magenta from the Netscape color table.
`static FSColor` | `maroon()` Definition of the color, maroon from the Netscape color table.
`static FSColor` | `maroon(int alpha)` Definition of the transparent color, maroon from the Netscape color table.
`static FSColor` | `mediumaquamarine()` Definition of the color, mediumaquamarine from the Netscape color table.
`static FSColor` | `mediumaquamarine(int alpha)` Definition of the transparent color, mediumaquamarine from the Netscape color table.
`static FSColor` | `mediumblue()` Definition of the color, mediumblue from the Netscape color table.
`static FSColor` | `mediumblue(int alpha)` Definition of the transparent color, mediumblue from the Netscape color table.
`static FSColor` | `mediumorchid()` Definition of the color, mediumorchid from the Netscape color table.
`static FSColor` | `mediumorchid(int alpha)` Definition of the transparent color, mediumorchid from the Netscape color table.
`static FSColor` | `mediumpurple()` Definition of the color, mediumpurple from the Netscape color table.
`static FSColor` | `mediumpurple(int alpha)` Definition of the transparent color, mediumpurple from the Netscape color table.
`static FSColor` | `mediumseagreen()` Definition of the color, mediumseagreen from the Netscape color table.
`static FSColor` | `mediumseagreen(int alpha)` Definition of the transparent color, mediumseagreen from the Netscape color table.
`static FSColor` | `mediumslateblue()` Definition of the color, mediumslateblue from the Netscape color table.
`static FSColor` | `mediumslateblue(int alpha)` Definition of the transparent color, mediumslateblue from the Netscape color table.
`static FSColor` | `mediumspringgreen()` Definition of the color, mediumspringgreen from the Netscape color table.
`static FSColor` | `mediumspringgreen(int alpha)` Definition of the transparent color, mediumspringgreen from the Netscape color table.
`static FSColor` | `mediumturquoise()` Definition of the color, mediumturquoise from the Netscape color table.
`static FSColor` | `mediumturquoise(int alpha)` Definition of the transparent color, mediumturquoise from the Netscape color table.
`static FSColor` | `mediumvioletred()` Definition of the color, mediumvioletred from the Netscape color table.
`static FSColor` | `mediumvioletred(int alpha)` Definition of the transparent color, mediumvioletred from the Netscape color table.
`static FSColor` | `midnightblue()` Definition of the color, midnightblue from the Netscape color table.
`static FSColor` | `midnightblue(int alpha)` Definition of the transparent color, midnightblue from the Netscape color table.
`static FSColor` | `mintcream()` Definition of the color, mintcream from the Netscape color table.
`static FSColor` | `mintcream(int alpha)` Definition of the transparent color, mintcream from the Netscape color table.
`static FSColor` | `mistyrose()` Definition of the color, mistyrose from the Netscape color table.
`static FSColor` | `mistyrose(int alpha)` Definition of the transparent color, mistyrose from the Netscape color table.
`static FSColor` | `moccasin()` Definition of the color, moccasin from the Netscape color table.
`static FSColor` | `moccasin(int alpha)` Definition of the transparent color, moccasin from the Netscape color table.
`static FSColor` | `navajowhite()` Definition of the color, navajowhite from the Netscape color table.
`static FSColor` | `navajowhite(int alpha)` Definition of the transparent color, navajowhite from the Netscape color table.
`static FSColor` | `navy()` Definition of the color, navy from the Netscape color table.
`static FSColor` | `navy(int alpha)` Definition of the transparent color, navy from the Netscape color table.
`static FSColor` | `oldlace()` Definition of the color, oldlace from the Netscape color table.
`static FSColor` | `oldlace(int alpha)` Definition of the transparent color, oldlace from the Netscape color table.
`static FSColor` | `olive()` Definition of the color, olive from the Netscape color table.
`static FSColor` | `olive(int alpha)` Definition of the transparent color, olive from the Netscape color table.
`static FSColor` | `olivedrab()` Definition of the color, olivedrab from the Netscape color table.
`static FSColor` | `olivedrab(int alpha)` Definition of the transparent color, olivedrab from the Netscape color table.
`static FSColor` | `orange()` Definition of the color, orange from the Netscape color table.
`static FSColor` | `orange(int alpha)` Definition of the transparent color, orange from the Netscape color table.
`static FSColor` | `orangered()` Definition of the color, orangered from the Netscape color table.
`static FSColor` | `orangered(int alpha)` Definition of the transparent color, orangered from the Netscape color table.
`static FSColor` | `orchid()` Definition of the color, orchid from the Netscape color table.
`static FSColor` | `orchid(int alpha)` Definition of the transparent color, orchid from the Netscape color table.
`static FSColor` | `palegoldenrod()` Definition of the color, palegoldenrod from the Netscape color table.
`static FSColor` | `palegoldenrod(int alpha)` Definition of the transparent color, palegoldenrod from the Netscape color table.
`static FSColor` | `palegreen()` Definition of the color, palegreen from the Netscape color table.
`static FSColor` | `palegreen(int alpha)` Definition of the transparent color, palegreen from the Netscape color table.
`static FSColor` | `paleturquoise()` Definition of the color, paleturquoise from the Netscape color table.
`static FSColor` | `paleturquoise(int alpha)` Definition of the transparent color, paleturquoise from the Netscape color table.
`static FSColor` | `palevioletred()` Definition of the color, palevioletred from the Netscape color table.
`static FSColor` | `palevioletred(int alpha)` Definition of the transparent color, palevioletred from the Netscape color table.
`static FSColor` | `papayawhip()` Definition of the color, papayawhip from the Netscape color table.
`static FSColor` | `papayawhip(int alpha)` Definition of the transparent color, papayawhip from the Netscape color table.
`static FSColor` | `peachpuff()` Definition of the color, peachpuff from the Netscape color table.
`static FSColor` | `peachpuff(int alpha)` Definition of the transparent color, peachpuff from the Netscape color table.
`static FSColor` | `peru()` Definition of the color, peru from the Netscape color table.
`static FSColor` | `peru(int alpha)` Definition of the transparent color, peru from the Netscape color table.
`static FSColor` | `pink()` Definition of the color, pink from the Netscape color table.
`static FSColor` | `pink(int alpha)` Definition of the transparent color, pink from the Netscape color table.
`static FSColor` | `plum()` Definition of the color, plum from the Netscape color table.
`static FSColor` | `plum(int alpha)` Definition of the transparent color, plum from the Netscape color table.
`static FSColor` | `powderblue()` Definition of the color, powderblue from the Netscape color table.
`static FSColor` | `powderblue(int alpha)` Definition of the transparent color, powderblue from the Netscape color table.
`static FSColor` | `purple()` Definition of the color, purple from the Netscape color table.
`static FSColor` | `purple(int alpha)` Definition of the transparent color, purple from the Netscape color table.
`static FSColor` | `red()` Definition of the color, red from the Netscape color table.
`static FSColor` | `red(int alpha)` Definition of the transparent color, red from the Netscape color table.
`static FSColor` | `rosybrown()` Definition of the color, rosybrown from the Netscape color table.
`static FSColor` | `rosybrown(int alpha)` Definition of the transparent color, rosybrown from the Netscape color table.
`static FSColor` | `royalblue()` Definition of the color, royalblue from the Netscape color table.
`static FSColor` | `royalblue(int alpha)` Definition of the transparent color, royalblue from the Netscape color table.
`static FSColor` | `saddlebrown()` Definition of the color, saddlebrown from the Netscape color table.
`static FSColor` | `saddlebrown(int alpha)` Definition of the transparent color, saddlebrown from the Netscape color table.
`static FSColor` | `salmon()` Definition of the color, salmon from the Netscape color table.
`static FSColor` | `salmon(int alpha)` Definition of the transparent color, salmon from the Netscape color table.
`static FSColor` | `sandybrown()` Definition of the color, sandybrown from the Netscape color table.
`static FSColor` | `sandybrown(int alpha)` Definition of the transparent color, sandybrown from the Netscape color table.
`static FSColor` | `seagreen()` Definition of the color, seagreen from the Netscape color table.
`static FSColor` | `seagreen(int alpha)` Definition of the transparent color, seagreen from the Netscape color table.
`static FSColor` | `seashell()` Definition of the color, seashell from the Netscape color table.
`static FSColor` | `seashell(int alpha)` Definition of the transparent color, seashell from the Netscape color table.
`static FSColor` | `sienna()` Definition of the color, sienna from the Netscape color table.
`static FSColor` | `sienna(int alpha)` Definition of the transparent color, sienna from the Netscape color table.
`static FSColor` | `silver()` Definition of the color, silver from the Netscape color table.
`static FSColor` | `silver(int alpha)` Definition of the transparent color, silver from the Netscape color table.
`static FSColor` | `skyblue()` Definition of the color, skyblue from the Netscape color table.
`static FSColor` | `skyblue(int alpha)` Definition of the transparent color, skyblue from the Netscape color table.
`static FSColor` | `slateblue()` Definition of the color, slateblue from the Netscape color table.
`static FSColor` | `slateblue(int alpha)` Definition of the transparent color, slateblue from the Netscape color table.
`static FSColor` | `slategray()` Definition of the color, slategray from the Netscape color table.
`static FSColor` | `slategray(int alpha)` Definition of the transparent color, slategray from the Netscape color table.
`static FSColor` | `snow()` Definition of the color, snow from the Netscape color table.
`static FSColor` | `snow(int alpha)` Definition of the transparent color, snow from the Netscape color table.
`static FSColor` | `springgreen()` Definition of the color, springgreen from the Netscape color table.
`static FSColor` | `springgreen(int alpha)` Definition of the transparent color, springgreen from the Netscape color table.
`static FSColor` | `steelblue()` Definition of the color, steelblue from the Netscape color table.
`static FSColor` | `steelblue(int alpha)` Definition of the transparent color, steelblue from the Netscape color table.
`static FSColor` | `tan()` Definition of the color, tan from the Netscape color table.
`static FSColor` | `tan(int alpha)` Definition of the transparent color, tan from the Netscape color table.
`static FSColor` | `teal()` Definition of the color, teal from the Netscape color table.
`static FSColor` | `teal(int alpha)` Definition of the transparent color, teal from the Netscape color table.
`static FSColor` | `thistle()` Definition of the color, thistle from the Netscape color table.
`static FSColor` | `thistle(int alpha)` Definition of the transparent color, thistle from the Netscape color table.
`static FSColor` | `tomato()` Definition of the color, tomato from the Netscape color table.
`static FSColor` | `tomato(int alpha)` Definition of the transparent color, tomato from the Netscape color table.
`static FSColor` | `turquoise()` Definition of the color, turquoise from the Netscape color table.
`static FSColor` | `turquoise(int alpha)` Definition of the transparent color, turquoise from the Netscape color table.
`static FSColor` | `violet()` Definition of the color, violet from the Netscape color table.
`static FSColor` | `violet(int alpha)` Definition of the transparent color, violet from the Netscape color table.
`static FSColor` | `wheat()` Definition of the color, wheat from the Netscape color table.
`static FSColor` | `wheat(int alpha)` Definition of the transparent color, wheat from the Netscape color table.
`static FSColor` | `white()` Definition of the color, white from the Netscape color table.
`static FSColor` | `white(int alpha)` Definition of the transparent color, white from the Netscape color table.
`static FSColor` | `whitesmoke()` Definition of the color, whitesmoke from the Netscape color table.
`static FSColor` | `whitesmoke(int alpha)` Definition of the transparent color, whitesmoke from the Netscape color table.
`static FSColor` | `yellow()` Definition of the color, yellow from the Netscape color table.
`static FSColor` | `yellow(int alpha)` Definition of the transparent color, yellow from the Netscape color table.
`static FSColor` | `yellowgreen()` Definition of the color, yellowgreen from the Netscape color table.
`static FSColor` | `yellowgreen(int alpha)` Definition of the transparent color, yellowgreen from the Netscape color table.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FSColorTable

    public FSColorTable()

Method Detail

### aliceblue

    public static FSColor aliceblue()

  Definition of the color, aliceblue from the Netscape color table.

### antiquewhite

    public static FSColor antiquewhite()

  Definition of the color, antiquewhite from the Netscape color table.

### aqua

    public static FSColor aqua()

  Definition of the color, aqua from the Netscape color table.

### aquamarine

    public static FSColor aquamarine()

  Definition of the color, aquamarine from the Netscape color table.

### azure

    public static FSColor azure()

  Definition of the color, azure from the Netscape color table.

### beige

    public static FSColor beige()

  Definition of the color, beige from the Netscape color table.

### bisque

    public static FSColor bisque()

  Definition of the color, bisque from the Netscape color table.

### black

    public static FSColor black()

  Definition of the color, black from the Netscape color table.

### blanchedalmond

    public static FSColor blanchedalmond()

  Definition of the color, blanchedalmond from the Netscape color table.

### blue

    public static FSColor blue()

  Definition of the color, blue from the Netscape color table.

### blueviolet

    public static FSColor blueviolet()

  Definition of the color, blueviolet from the Netscape color table.

### brown

    public static FSColor brown()

  Definition of the color, brown from the Netscape color table.

### burlywood

    public static FSColor burlywood()

  Definition of the color, burlywood from the Netscape color table.

### cadetblue

    public static FSColor cadetblue()

  Definition of the color, cadetblue from the Netscape color table.

### chartreuse

    public static FSColor chartreuse()

  Definition of the color, chartreuse from the Netscape color table.

### chocolate

    public static FSColor chocolate()

  Definition of the color, chocolate from the Netscape color table.

### coral

    public static FSColor coral()

  Definition of the color, coral from the Netscape color table.

### cornflowerblue

    public static FSColor cornflowerblue()

  Definition of the color, cornflowerblue from the Netscape color table.

### cornsilk

    public static FSColor cornsilk()

  Definition of the color, cornsilk from the Netscape color table.

### crimson

    public static FSColor crimson()

  Definition of the color, crimson from the Netscape color table.

### cyan

    public static FSColor cyan()

  Definition of the color, cyan from the Netscape color table.

### darkblue

    public static FSColor darkblue()

  Definition of the color, darkblue from the Netscape color table.

### darkcyan

    public static FSColor darkcyan()

  Definition of the color, darkcyan from the Netscape color table.

### darkgoldenrod

    public static FSColor darkgoldenrod()

  Definition of the color, darkgoldenrod from the Netscape color table.

### darkgray

    public static FSColor darkgray()

  Definition of the color, darkgray from the Netscape color table.

### darkgreen

    public static FSColor darkgreen()

  Definition of the color, darkgreen from the Netscape color table.

### darkkhaki

    public static FSColor darkkhaki()

  Definition of the color, darkkhaki from the Netscape color table.

### darkmagenta

    public static FSColor darkmagenta()

  Definition of the color, darkmagenta from the Netscape color table.

### darkolivegreen

    public static FSColor darkolivegreen()

  Definition of the color, darkolivegreen from the Netscape color table.

### darkorange

    public static FSColor darkorange()

  Definition of the color, darkorange from the Netscape color table.

### darkorchid

    public static FSColor darkorchid()

  Definition of the color, darkorchid from the Netscape color table.

### darkred

    public static FSColor darkred()

  Definition of the color, darkred from the Netscape color table.

### darksalmon

    public static FSColor darksalmon()

  Definition of the color, darksalmon from the Netscape color table.

### darkseagreen

    public static FSColor darkseagreen()

  Definition of the color, darkseagreen from the Netscape color table.

### darkslateblue

    public static FSColor darkslateblue()

  Definition of the color, darkslateblue from the Netscape color table.

### darkslategray

    public static FSColor darkslategray()

  Definition of the color, darkslategray from the Netscape color table.

### darkturquoise

    public static FSColor darkturquoise()

  Definition of the color, darkturquoise from the Netscape color table.

### darkviolet

    public static FSColor darkviolet()

  Definition of the color, darkviolet from the Netscape color table.

### deeppink

    public static FSColor deeppink()

  Definition of the color, deeppink from the Netscape color table.

### deepskyblue

    public static FSColor deepskyblue()

  Definition of the color, deepskyblue from the Netscape color table.

### dimgray

    public static FSColor dimgray()

  Definition of the color, dimgray from the Netscape color table.

### dodgerblue

    public static FSColor dodgerblue()

  Definition of the color, dodgerblue from the Netscape color table.

### firebrick

    public static FSColor firebrick()

  Definition of the color, firebrick from the Netscape color table.

### floralwhite

    public static FSColor floralwhite()

  Definition of the color, floralwhite from the Netscape color table.

### forestgreen

    public static FSColor forestgreen()

  Definition of the color, forestgreen from the Netscape color table.

### fuchsia

    public static FSColor fuchsia()

  Definition of the color, fuchsia from the Netscape color table.

### gainsboro

    public static FSColor gainsboro()

  Definition of the color, gainsboro from the Netscape color table.

### ghostwhite

    public static FSColor ghostwhite()

  Definition of the color, ghostwhite from the Netscape color table.

### gold

    public static FSColor gold()

  Definition of the color, gold from the Netscape color table.

### goldenrod

    public static FSColor goldenrod()

  Definition of the color, goldenrod from the Netscape color table.

### gray

    public static FSColor gray()

  Definition of the color, gray from the Netscape color table.

### green

    public static FSColor green()

  Definition of the color, green from the Netscape color table.

### greenyellow

    public static FSColor greenyellow()

  Definition of the color, greenyellow from the Netscape color table.

### honeydew

    public static FSColor honeydew()

  Definition of the color, honeydew from the Netscape color table.

### hotpink

    public static FSColor hotpink()

  Definition of the color, hotpink from the Netscape color table.

### indianred

    public static FSColor indianred()

  Definition of the color, indianred from the Netscape color table.

### indigo

    public static FSColor indigo()

  Definition of the color, indigo from the Netscape color table.

### ivory

    public static FSColor ivory()

  Definition of the color, ivory from the Netscape color table.

### khaki

    public static FSColor khaki()

  Definition of the color, khaki from the Netscape color table.

### lavender

    public static FSColor lavender()

  Definition of the color, lavender from the Netscape color table.

### lavenderblush

    public static FSColor lavenderblush()

  Definition of the color, lavenderblush from the Netscape color table.

### lawngreen

    public static FSColor lawngreen()

  Definition of the color, lawngreen from the Netscape color table.

### lemonchiffon

    public static FSColor lemonchiffon()

  Definition of the color, lemonchiffon from the Netscape color table.

### lightblue

    public static FSColor lightblue()

  Definition of the color, lightblue from the Netscape color table.

### lightcoral

    public static FSColor lightcoral()

  Definition of the color, lightcoral from the Netscape color table.

### lightcyan

    public static FSColor lightcyan()

  Definition of the color, lightcyan from the Netscape color table.

### lightgoldenrodyellow

    public static FSColor lightgoldenrodyellow()

  Definition of the color, lightgoldenrodyellow from the Netscape color table.

### lightgreen

    public static FSColor lightgreen()

  Definition of the color, lightgreen from the Netscape color table.

### lightgrey

    public static FSColor lightgrey()

  Definition of the color, lightgrey from the Netscape color table.

### lightpink

    public static FSColor lightpink()

  Definition of the color, lightpink from the Netscape color table.

### lightsalmon

    public static FSColor lightsalmon()

  Definition of the color, lightsalmon from the Netscape color table.

### lightseagreen

    public static FSColor lightseagreen()

  Definition of the color, lightseagreen from the Netscape color table.

### lightskyblue

    public static FSColor lightskyblue()

  Definition of the color, lightskyblue from the Netscape color table.

### lightslategray

    public static FSColor lightslategray()

  Definition of the color, lightslategray from the Netscape color table.

### lightsteelblue

    public static FSColor lightsteelblue()

  Definition of the color, lightsteelblue from the Netscape color table.

### lightyellow

    public static FSColor lightyellow()

  Definition of the color, lightyellow from the Netscape color table.

### lime

    public static FSColor lime()

  Definition of the color, lime from the Netscape color table.

### limegreen

    public static FSColor limegreen()

  Definition of the color, limegreen from the Netscape color table.

### linen

    public static FSColor linen()

  Definition of the color, linen from the Netscape color table.

### magenta

    public static FSColor magenta()

  Definition of the color, magenta from the Netscape color table.

### maroon

    public static FSColor maroon()

  Definition of the color, maroon from the Netscape color table.

### mediumaquamarine

    public static FSColor mediumaquamarine()

  Definition of the color, mediumaquamarine from the Netscape color table.

### mediumblue

    public static FSColor mediumblue()

  Definition of the color, mediumblue from the Netscape color table.

### mediumorchid

    public static FSColor mediumorchid()

  Definition of the color, mediumorchid from the Netscape color table.

### mediumpurple

    public static FSColor mediumpurple()

  Definition of the color, mediumpurple from the Netscape color table.

### mediumseagreen

    public static FSColor mediumseagreen()

  Definition of the color, mediumseagreen from the Netscape color table.

### mediumslateblue

    public static FSColor mediumslateblue()

  Definition of the color, mediumslateblue from the Netscape color table.

### mediumspringgreen

    public static FSColor mediumspringgreen()

  Definition of the color, mediumspringgreen from the Netscape color table.

### mediumturquoise

    public static FSColor mediumturquoise()

  Definition of the color, mediumturquoise from the Netscape color table.

### mediumvioletred

    public static FSColor mediumvioletred()

  Definition of the color, mediumvioletred from the Netscape color table.

### midnightblue

    public static FSColor midnightblue()

  Definition of the color, midnightblue from the Netscape color table.

### mintcream

    public static FSColor mintcream()

  Definition of the color, mintcream from the Netscape color table.

### mistyrose

    public static FSColor mistyrose()

  Definition of the color, mistyrose from the Netscape color table.

### moccasin

    public static FSColor moccasin()

  Definition of the color, moccasin from the Netscape color table.

### navajowhite

    public static FSColor navajowhite()

  Definition of the color, navajowhite from the Netscape color table.

### navy

    public static FSColor navy()

  Definition of the color, navy from the Netscape color table.

### oldlace

    public static FSColor oldlace()

  Definition of the color, oldlace from the Netscape color table.

### olive

    public static FSColor olive()

  Definition of the color, olive from the Netscape color table.

### olivedrab

    public static FSColor olivedrab()

  Definition of the color, olivedrab from the Netscape color table.

### orange

    public static FSColor orange()

  Definition of the color, orange from the Netscape color table.

### orangered

    public static FSColor orangered()

  Definition of the color, orangered from the Netscape color table.

### orchid

    public static FSColor orchid()

  Definition of the color, orchid from the Netscape color table.

### palegoldenrod

    public static FSColor palegoldenrod()

  Definition of the color, palegoldenrod from the Netscape color table.

### palegreen

    public static FSColor palegreen()

  Definition of the color, palegreen from the Netscape color table.

### paleturquoise

    public static FSColor paleturquoise()

  Definition of the color, paleturquoise from the Netscape color table.

### palevioletred

    public static FSColor palevioletred()

  Definition of the color, palevioletred from the Netscape color table.

### papayawhip

    public static FSColor papayawhip()

  Definition of the color, papayawhip from the Netscape color table.

### peachpuff

    public static FSColor peachpuff()

  Definition of the color, peachpuff from the Netscape color table.

### peru

    public static FSColor peru()

  Definition of the color, peru from the Netscape color table.

### pink

    public static FSColor pink()

  Definition of the color, pink from the Netscape color table.

### plum

    public static FSColor plum()

  Definition of the color, plum from the Netscape color table.

### powderblue

    public static FSColor powderblue()

  Definition of the color, powderblue from the Netscape color table.

### purple

    public static FSColor purple()

  Definition of the color, purple from the Netscape color table.

### red

    public static FSColor red()

  Definition of the color, red from the Netscape color table.

### rosybrown

    public static FSColor rosybrown()

  Definition of the color, rosybrown from the Netscape color table.

### royalblue

    public static FSColor royalblue()

  Definition of the color, royalblue from the Netscape color table.

### saddlebrown

    public static FSColor saddlebrown()

  Definition of the color, saddlebrown from the Netscape color table.

### salmon

    public static FSColor salmon()

  Definition of the color, salmon from the Netscape color table.

### sandybrown

    public static FSColor sandybrown()

  Definition of the color, sandybrown from the Netscape color table.

### seagreen

    public static FSColor seagreen()

  Definition of the color, seagreen from the Netscape color table.

### seashell

    public static FSColor seashell()

  Definition of the color, seashell from the Netscape color table.

### sienna

    public static FSColor sienna()

  Definition of the color, sienna from the Netscape color table.

### silver

    public static FSColor silver()

  Definition of the color, silver from the Netscape color table.

### skyblue

    public static FSColor skyblue()

  Definition of the color, skyblue from the Netscape color table.

### slateblue

    public static FSColor slateblue()

  Definition of the color, slateblue from the Netscape color table.

### slategray

    public static FSColor slategray()

  Definition of the color, slategray from the Netscape color table.

### snow

    public static FSColor snow()

  Definition of the color, snow from the Netscape color table.

### springgreen

    public static FSColor springgreen()

  Definition of the color, springgreen from the Netscape color table.

### steelblue

    public static FSColor steelblue()

  Definition of the color, steelblue from the Netscape color table.

### tan

    public static FSColor tan()

  Definition of the color, tan from the Netscape color table.

### teal

    public static FSColor teal()

  Definition of the color, teal from the Netscape color table.

### thistle

    public static FSColor thistle()

  Definition of the color, thistle from the Netscape color table.

### tomato

    public static FSColor tomato()

  Definition of the color, tomato from the Netscape color table.

### turquoise

    public static FSColor turquoise()

  Definition of the color, turquoise from the Netscape color table.

### violet

    public static FSColor violet()

  Definition of the color, violet from the Netscape color table.

### wheat

    public static FSColor wheat()

  Definition of the color, wheat from the Netscape color table.

### white

    public static FSColor white()

  Definition of the color, white from the Netscape color table.

### whitesmoke

    public static FSColor whitesmoke()

  Definition of the color, whitesmoke from the Netscape color table.

### yellow

    public static FSColor yellow()

  Definition of the color, yellow from the Netscape color table.

### yellowgreen

    public static FSColor yellowgreen()

  Definition of the color, yellowgreen from the Netscape color table.

### aliceblue

    public static FSColor aliceblue(int alpha)

  Definition of the transparent color, aliceblue from the Netscape color table.

### antiquewhite

    public static FSColor antiquewhite(int alpha)

  Definition of the transparent color, antiquewhite from the Netscape color table.

### aqua

    public static FSColor aqua(int alpha)

  Definition of the transparent color, aqua from the Netscape color table.

### aquamarine

    public static FSColor aquamarine(int alpha)

  Definition of the transparent color, aquamarine from the Netscape color table.

### azure

    public static FSColor azure(int alpha)

  Definition of the transparent color, azure from the Netscape color table.

### beige

    public static FSColor beige(int alpha)

  Definition of the transparent color, beige from the Netscape color table.

### bisque

    public static FSColor bisque(int alpha)

  Definition of the transparent color, bisque from the Netscape color table.

### black

    public static FSColor black(int alpha)

  Definition of the transparent color, black from the Netscape color table.

### blanchedalmond

    public static FSColor blanchedalmond(int alpha)

  Definition of the transparent color, blanchedalmond from the Netscape color table.

### blue

    public static FSColor blue(int alpha)

  Definition of the transparent color, blue from the Netscape color table.

### blueviolet

    public static FSColor blueviolet(int alpha)

  Definition of the transparent color, blueviolet from the Netscape color table.

### brown

    public static FSColor brown(int alpha)

  Definition of the transparent color, brown from the Netscape color table.

### burlywood

    public static FSColor burlywood(int alpha)

  Definition of the transparent color, burlywood from the Netscape color table.

### cadetblue

    public static FSColor cadetblue(int alpha)

  Definition of the transparent color, cadetblue from the Netscape color table.

### chartreuse

    public static FSColor chartreuse(int alpha)

  Definition of the transparent color, chartreuse from the Netscape color table.

### chocolate

    public static FSColor chocolate(int alpha)

  Definition of the transparent color, chocolate from the Netscape color table.

### coral

    public static FSColor coral(int alpha)

  Definition of the transparent color, coral from the Netscape color table.

### cornflowerblue

    public static FSColor cornflowerblue(int alpha)

  Definition of the transparent color, cornflowerblue from the Netscape color table.

### cornsilk

    public static FSColor cornsilk(int alpha)

  Definition of the transparent color, cornsilk from the Netscape color table.

### crimson

    public static FSColor crimson(int alpha)

  Definition of the transparent color, crimson from the Netscape color table.

### cyan

    public static FSColor cyan(int alpha)

  Definition of the transparent color, cyan from the Netscape color table.

### darkblue

    public static FSColor darkblue(int alpha)

  Definition of the transparent color, darkblue from the Netscape color table.

### darkcyan

    public static FSColor darkcyan(int alpha)

  Definition of the transparent color, darkcyan from the Netscape color table.

### darkgoldenrod

    public static FSColor darkgoldenrod(int alpha)

  Definition of the transparent color, darkgoldenrod from the Netscape color table.

### darkgray

    public static FSColor darkgray(int alpha)

  Definition of the transparent color, darkgray from the Netscape color table.

### darkgreen

    public static FSColor darkgreen(int alpha)

  Definition of the transparent color, darkgreen from the Netscape color table.

### darkkhaki

    public static FSColor darkkhaki(int alpha)

  Definition of the transparent color, darkkhaki from the Netscape color table.

### darkmagenta

    public static FSColor darkmagenta(int alpha)

  Definition of the transparent color, darkmagenta from the Netscape color table.

### darkolivegreen

    public static FSColor darkolivegreen(int alpha)

  Definition of the transparent color, darkolivegreen from the Netscape color table.

### darkorange

    public static FSColor darkorange(int alpha)

  Definition of the transparent color, darkorange from the Netscape color table.

### darkorchid

    public static FSColor darkorchid(int alpha)

  Definition of the transparent color, darkorchid from the Netscape color table.

### darkred

    public static FSColor darkred(int alpha)

  Definition of the transparent color, darkred from the Netscape color table.

### darksalmon

    public static FSColor darksalmon(int alpha)

  Definition of the transparent color, darksalmon from the Netscape color table.

### darkseagreen

    public static FSColor darkseagreen(int alpha)

  Definition of the transparent color, darkseagreen from the Netscape color table.

### darkslateblue

    public static FSColor darkslateblue(int alpha)

  Definition of the transparent color, darkslateblue from the Netscape color table.

### darkslategray

    public static FSColor darkslategray(int alpha)

  Definition of the transparent color, darkslategray from the Netscape color table.

### darkturquoise

    public static FSColor darkturquoise(int alpha)

  Definition of the transparent color, darkturquoise from the Netscape color table.

### darkviolet

    public static FSColor darkviolet(int alpha)

  Definition of the transparent color, darkviolet from the Netscape color table.

### deeppink

    public static FSColor deeppink(int alpha)

  Definition of the transparent color, deeppink from the Netscape color table.

### deepskyblue

    public static FSColor deepskyblue(int alpha)

  Definition of the transparent color, deepskyblue from the Netscape color table.

### dimgray

    public static FSColor dimgray(int alpha)

  Definition of the transparent color, dimgray from the Netscape color table.

### dodgerblue

    public static FSColor dodgerblue(int alpha)

  Definition of the transparent color, dodgerblue from the Netscape color table.

### firebrick

    public static FSColor firebrick(int alpha)

  Definition of the transparent color, firebrick from the Netscape color table.

### floralwhite

    public static FSColor floralwhite(int alpha)

  Definition of the transparent color, floralwhite from the Netscape color table.

### forestgreen

    public static FSColor forestgreen(int alpha)

  Definition of the transparent color, forestgreen from the Netscape color table.

### fuchsia

    public static FSColor fuchsia(int alpha)

  Definition of the transparent color, fuchsia from the Netscape color table.

### gainsboro

    public static FSColor gainsboro(int alpha)

  Definition of the transparent color, gainsboro from the Netscape color table.

### ghostwhite

    public static FSColor ghostwhite(int alpha)

  Definition of the transparent color, ghostwhite from the Netscape color table.

### gold

    public static FSColor gold(int alpha)

  Definition of the transparent color, gold from the Netscape color table.

### goldenrod

    public static FSColor goldenrod(int alpha)

  Definition of the transparent color, goldenrod from the Netscape color table.

### gray

    public static FSColor gray(int alpha)

  Definition of the transparent color, gray from the Netscape color table.

### green

    public static FSColor green(int alpha)

  Definition of the transparent color, green from the Netscape color table.

### greenyellow

    public static FSColor greenyellow(int alpha)

  Definition of the transparent color, greenyellow from the Netscape color table.

### honeydew

    public static FSColor honeydew(int alpha)

  Definition of the transparent color, honeydew from the Netscape color table.

### hotpink

    public static FSColor hotpink(int alpha)

  Definition of the transparent color, hotpink from the Netscape color table.

### indianred

    public static FSColor indianred(int alpha)

  Definition of the transparent color, indianred from the Netscape color table.

### indigo

    public static FSColor indigo(int alpha)

  Definition of the transparent color, indigo from the Netscape color table.

### ivory

    public static FSColor ivory(int alpha)

  Definition of the transparent color, ivory from the Netscape color table.

### khaki

    public static FSColor khaki(int alpha)

  Definition of the transparent color, khaki from the Netscape color table.

### lavender

    public static FSColor lavender(int alpha)

  Definition of the transparent color, lavender from the Netscape color table.

### lavenderblush

    public static FSColor lavenderblush(int alpha)

  Definition of the transparent color, lavenderblush from the Netscape color table.

### lawngreen

    public static FSColor lawngreen(int alpha)

  Definition of the transparent color, lawngreen from the Netscape color table.

### lemonchiffon

    public static FSColor lemonchiffon(int alpha)

  Definition of the transparent color, lemonchiffon from the Netscape color table.

### lightblue

    public static FSColor lightblue(int alpha)

  Definition of the transparent color, lightblue from the Netscape color table.

### lightcoral

    public static FSColor lightcoral(int alpha)

  Definition of the transparent color, lightcoral from the Netscape color table.

### lightcyan

    public static FSColor lightcyan(int alpha)

  Definition of the transparent color, lightcyan from the Netscape color table.

### lightgoldenrodyellow

    public static FSColor lightgoldenrodyellow(int alpha)

  Definition of the transparent color, lightgoldenrodyellow from the Netscape color table.

### lightgreen

    public static FSColor lightgreen(int alpha)

  Definition of the transparent color, lightgreen from the Netscape color table.

### lightgrey

    public static FSColor lightgrey(int alpha)

  Definition of the transparent color, lightgrey from the Netscape color table.

### lightpink

    public static FSColor lightpink(int alpha)

  Definition of the transparent color, lightpink from the Netscape color table.

### lightsalmon

    public static FSColor lightsalmon(int alpha)

  Definition of the transparent color, lightsalmon from the Netscape color table.

### lightseagreen

    public static FSColor lightseagreen(int alpha)

  Definition of the transparent color, lightseagreen from the Netscape color table.

### lightskyblue

    public static FSColor lightskyblue(int alpha)

  Definition of the transparent color, lightskyblue from the Netscape color table.

### lightslategray

    public static FSColor lightslategray(int alpha)

  Definition of the transparent color, lightslategray from the Netscape color table.

### lightsteelblue

    public static FSColor lightsteelblue(int alpha)

  Definition of the transparent color, lightsteelblue from the Netscape color table.

### lightyellow

    public static FSColor lightyellow(int alpha)

  Definition of the transparent color, lightyellow from the Netscape color table.

### lime

    public static FSColor lime(int alpha)

  Definition of the transparent color, lime from the Netscape color table.

### limegreen

    public static FSColor limegreen(int alpha)

  Definition of the transparent color, limegreen from the Netscape color table.

### linen

    public static FSColor linen(int alpha)

  Definition of the transparent color, linen from the Netscape color table.

### magenta

    public static FSColor magenta(int alpha)

  Definition of the transparent color, magenta from the Netscape color table.

### maroon

    public static FSColor maroon(int alpha)

  Definition of the transparent color, maroon from the Netscape color table.

### mediumaquamarine

    public static FSColor mediumaquamarine(int alpha)

  Definition of the transparent color, mediumaquamarine from the Netscape color table.

### mediumblue

    public static FSColor mediumblue(int alpha)

  Definition of the transparent color, mediumblue from the Netscape color table.

### mediumorchid

    public static FSColor mediumorchid(int alpha)

  Definition of the transparent color, mediumorchid from the Netscape color table.

### mediumpurple

    public static FSColor mediumpurple(int alpha)

  Definition of the transparent color, mediumpurple from the Netscape color table.

### mediumseagreen

    public static FSColor mediumseagreen(int alpha)

  Definition of the transparent color, mediumseagreen from the Netscape color table.

### mediumslateblue

    public static FSColor mediumslateblue(int alpha)

  Definition of the transparent color, mediumslateblue from the Netscape color table.

### mediumspringgreen

    public static FSColor mediumspringgreen(int alpha)

  Definition of the transparent color, mediumspringgreen from the Netscape color table.

### mediumturquoise

    public static FSColor mediumturquoise(int alpha)

  Definition of the transparent color, mediumturquoise from the Netscape color table.

### mediumvioletred

    public static FSColor mediumvioletred(int alpha)

  Definition of the transparent color, mediumvioletred from the Netscape color table.

### midnightblue

    public static FSColor midnightblue(int alpha)

  Definition of the transparent color, midnightblue from the Netscape color table.

### mintcream

    public static FSColor mintcream(int alpha)

  Definition of the transparent color, mintcream from the Netscape color table.

### mistyrose

    public static FSColor mistyrose(int alpha)

  Definition of the transparent color, mistyrose from the Netscape color table.

### moccasin

    public static FSColor moccasin(int alpha)

  Definition of the transparent color, moccasin from the Netscape color table.

### navajowhite

    public static FSColor navajowhite(int alpha)

  Definition of the transparent color, navajowhite from the Netscape color table.

### navy

    public static FSColor navy(int alpha)

  Definition of the transparent color, navy from the Netscape color table.

### oldlace

    public static FSColor oldlace(int alpha)

  Definition of the transparent color, oldlace from the Netscape color table.

### olive

    public static FSColor olive(int alpha)

  Definition of the transparent color, olive from the Netscape color table.

### olivedrab

    public static FSColor olivedrab(int alpha)

  Definition of the transparent color, olivedrab from the Netscape color table.

### orange

    public static FSColor orange(int alpha)

  Definition of the transparent color, orange from the Netscape color table.

### orangered

    public static FSColor orangered(int alpha)

  Definition of the transparent color, orangered from the Netscape color table.

### orchid

    public static FSColor orchid(int alpha)

  Definition of the transparent color, orchid from the Netscape color table.

### palegoldenrod

    public static FSColor palegoldenrod(int alpha)

  Definition of the transparent color, palegoldenrod from the Netscape color table.

### palegreen

    public static FSColor palegreen(int alpha)

  Definition of the transparent color, palegreen from the Netscape color table.

### paleturquoise

    public static FSColor paleturquoise(int alpha)

  Definition of the transparent color, paleturquoise from the Netscape color table.

### palevioletred

    public static FSColor palevioletred(int alpha)

  Definition of the transparent color, palevioletred from the Netscape color table.

### papayawhip

    public static FSColor papayawhip(int alpha)

  Definition of the transparent color, papayawhip from the Netscape color table.

### peachpuff

    public static FSColor peachpuff(int alpha)

  Definition of the transparent color, peachpuff from the Netscape color table.

### peru

    public static FSColor peru(int alpha)

  Definition of the transparent color, peru from the Netscape color table.

### pink

    public static FSColor pink(int alpha)

  Definition of the transparent color, pink from the Netscape color table.

### plum

    public static FSColor plum(int alpha)

  Definition of the transparent color, plum from the Netscape color table.

### powderblue

    public static FSColor powderblue(int alpha)

  Definition of the transparent color, powderblue from the Netscape color table.

### purple

    public static FSColor purple(int alpha)

  Definition of the transparent color, purple from the Netscape color table.

### red

    public static FSColor red(int alpha)

  Definition of the transparent color, red from the Netscape color table.

### rosybrown

    public static FSColor rosybrown(int alpha)

  Definition of the transparent color, rosybrown from the Netscape color table.

### royalblue

    public static FSColor royalblue(int alpha)

  Definition of the transparent color, royalblue from the Netscape color table.

### saddlebrown

    public static FSColor saddlebrown(int alpha)

  Definition of the transparent color, saddlebrown from the Netscape color table.

### salmon

    public static FSColor salmon(int alpha)

  Definition of the transparent color, salmon from the Netscape color table.

### sandybrown

    public static FSColor sandybrown(int alpha)

  Definition of the transparent color, sandybrown from the Netscape color table.

### seagreen

    public static FSColor seagreen(int alpha)

  Definition of the transparent color, seagreen from the Netscape color table.

### seashell

    public static FSColor seashell(int alpha)

  Definition of the transparent color, seashell from the Netscape color table.

### sienna

    public static FSColor sienna(int alpha)

  Definition of the transparent color, sienna from the Netscape color table.

### silver

    public static FSColor silver(int alpha)

  Definition of the transparent color, silver from the Netscape color table.

### skyblue

    public static FSColor skyblue(int alpha)

  Definition of the transparent color, skyblue from the Netscape color table.

### slateblue

    public static FSColor slateblue(int alpha)

  Definition of the transparent color, slateblue from the Netscape color table.

### slategray

    public static FSColor slategray(int alpha)

  Definition of the transparent color, slategray from the Netscape color table.

### snow

    public static FSColor snow(int alpha)

  Definition of the transparent color, snow from the Netscape color table.

### springgreen

    public static FSColor springgreen(int alpha)

  Definition of the transparent color, springgreen from the Netscape color table.

### steelblue

    public static FSColor steelblue(int alpha)

  Definition of the transparent color, steelblue from the Netscape color table.

### tan

    public static FSColor tan(int alpha)

  Definition of the transparent color, tan from the Netscape color table.

### teal

    public static FSColor teal(int alpha)

  Definition of the transparent color, teal from the Netscape color table.

### thistle

    public static FSColor thistle(int alpha)

  Definition of the transparent color, thistle from the Netscape color table.

### tomato

    public static FSColor tomato(int alpha)

  Definition of the transparent color, tomato from the Netscape color table.

### turquoise

    public static FSColor turquoise(int alpha)

  Definition of the transparent color, turquoise from the Netscape color table.

### violet

    public static FSColor violet(int alpha)

  Definition of the transparent color, violet from the Netscape color table.

### wheat

    public static FSColor wheat(int alpha)

  Definition of the transparent color, wheat from the Netscape color table.

### white

    public static FSColor white(int alpha)

  Definition of the transparent color, white from the Netscape color table.

### whitesmoke

    public static FSColor whitesmoke(int alpha)

  Definition of the transparent color, whitesmoke from the Netscape color table.

### yellow

    public static FSColor yellow(int alpha)

  Definition of the transparent color, yellow from the Netscape color table.

### yellowgreen

    public static FSColor yellowgreen(int alpha)

  Definition of the transparent color, yellowgreen from the Netscape color table.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD